OpenNMS API 1.2.9

## org.opennms.netmgt.eventd
Class EventHandler

    java.lang.Object
      org.opennms.netmgt.eventd.EventHandler

All Implemented Interfaces:
  java.lang.Runnable

final class EventHandler
extends java.lang.Object
implements java.lang.Runnable

The EventHandler is the Runnable that essentially does all the work on an incoming event. Operations done on an incoming event are -looking up an eventconf entry, expanding event parms, adding the event to the database and sending the event to interested listeners.

Author:
  Sowmya Nataraj , OpenNMS.org

Field Summary
`private Log` `m_eventLog` log of events
`private java.lang.String` `m_getNextEventIdStr` SQL string to get the next value from the database sequence

Constructor Summary
`EventHandler(Log eventLog, java.lang.String getNextEventId)` Constructor for the eventhandler

Method Summary
`void` `run()` Process the received events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_eventLog

    private Log m_eventLog

  log of events

### m_getNextEventIdStr

    private java.lang.String m_getNextEventIdStr

  SQL string to get the next value from the database sequence

Constructor Detail

### EventHandler

    public EventHandler(Log eventLog,
                        java.lang.String getNextEventId)

  Constructor for the eventhandler

Parameters:
  `eventLog` - events to be processed
  `getNextEventId` - the sql statement to get next event id from sequence

Method Detail

### run

    public void run()

  Process the received events. For each event, use the EventExpander to look up matching eventconf entry and load info from that match, expand event parms, add event to database and send event to appropriate listeners.

  Specified by:
    `run` in interface `java.lang.Runnable`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.